2019-10-21 14:55 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001390FSSCPphysicspublic2007-05-09 05:44
ReporterMr_Maniac 
Assigned ToBackslash 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.10 
Target VersionFixed in Version3.6.10 
Summary0001390: Ships are brakeing too fast (HEAD-CVS-Build)
DescriptionHi!
In the newest HEAD-CVS-Build, Ships are brakeing too fast.
Cap-ships that are jumping into the system are almost instantly at zero speed when they left the Subspace-Vortex. In the past they used to glide a little bit (only very large cap-ships decelerated this fast).
And even fighters or bombers are brakeing too fast when I decrease speed.
The speed-change's almost instant.
Could that be connected to the semi-newtonian-physics?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008060

Backslash (developer)

Well spotted. When I first saw your post, I figured the engine glow bug was my fault and the deceleration was not (as in theory, the gliding code I added should only happen while gliding, but I did do some messing with maneuvering thrusters). Funny how it seems to be the other way around!

Just rolled back a test checkout to April 26 and the engine glow is still missing but the insta-slowdown doesn't happen. So it looks like the braking breaking ^^ is something I did, neglecting to test capital ships. I mean, in theory my changes shouldn't affect ships unless gliding, but then that's why it's a bug, right? :-P

I'll see what I can do. Hmm! Is it just me, or is it only the really big ships that exhibit this? Deimos, Aeolus and Leviathan don't (in the missions I've tested so far). Do you show this as well?

~0008061

Mr_Maniac (reporter)

Right now, I was only able to test this with one Deimos. And it seems that you're right... It's not instantly brakeing...
Also I noticed that Fighters/Bombers aren't decelerating this fast, if you're not decreasing the speed to zero...
If the pilot stops the ship, it almost instantly brakes. But if he's only decreasing speed (> 0), the ship will decelerate slowly.

~0008069

Backslash (developer)

Fixed. Easier than I expected.

Thanks for the assistance! The "only decreasing speed (> 0)" idea was a dead giveaway for tracking down where I messed up. Turns out it was using $Slide decel instead of $Forward decel when your throttle was exactly 0.
+Notes

-Issue History
Date Modified Username Field Change
2007-05-06 18:11 Mr_Maniac New Issue
2007-05-08 09:32 Backslash Status new => assigned
2007-05-08 09:32 Backslash Assigned To => Backslash
2007-05-08 09:39 Backslash Note Added: 0008060
2007-05-08 10:32 Mr_Maniac Note Added: 0008061
2007-05-09 05:44 Backslash Status assigned => resolved
2007-05-09 05:44 Backslash Fixed in Version => 3.6.10
2007-05-09 05:44 Backslash Resolution open => fixed
2007-05-09 05:44 Backslash Note Added: 0008069
+Issue History